%define	kernel		%(eval uname -r)
%define	ksrc		/lib/modules/%{kernel}/build
%define	kmod_foma	/lib/modules/%{kernel}/kernel/drivers/usb/class/
%define	kmod_aufs	/lib/modules/%{kernel}/kernel/drivers/fs/aufs/

Summary: Linux drivers for Berry.
Name: berry-kmod
Version: 0.89
Release: b1
License: GPL
Group: System Environment/Kernel
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: i586

%description
Linux drivers for Berry.

%prep
%setup -q

%build
pushd acm-foma-*
make all KVER=%{kernel} KSRC=%{ksrc}
popd
pushd aufs-*
make all KVER=%{kernel} KSRC=%{ksrc}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd acm-foma-*
make install modules KMISC=$RPM_BUILD_ROOT%{kmod_foma}
popd
pushd aufs-*
make install modules KMISC=$RPM_BUILD_ROOT%{kmod_aufs}
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{kmod_foma}/*
%{kmod_aufs}/*

%changelog
* Mon Mar 3 2008 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
